loci.formats.in

## Class DefaultMetadataOptions

- java.lang.Object
- - loci.formats.in.DefaultMetadataOptions

- All Implemented Interfaces:
    MetadataOptions

      public class DefaultMetadataOptions
      extends java.lang.Object
      implements MetadataOptions

  Default implementation of `MetadataOptions`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private MetadataLevel` | `metadataLevel`
    `private boolean` | `validate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMetadataOptions()` Construct a new `DefaultMetadataOptions`.
    `DefaultMetadataOptions(MetadataLevel level)` Construct a new `DefaultMetadataOptions`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetadataLevel` | `getMetadataLevel()` Get the configured metadata level.
    `boolean` | `isValidate()` Checks whether file validation has been set.
    `void` | `setMetadataLevel(MetadataLevel level)` Set the metadata level.
    `void` | `setValidate(boolean validateMetadata)` Specifies whether or not to validate files when reading.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### metadataLevel

          private MetadataLevel metadataLevel

    - #### validate

          private boolean validate

  - ### Constructor Detail

    - #### DefaultMetadataOptions

          public DefaultMetadataOptions()

      Construct a new `DefaultMetadataOptions`. Set the metadata level to `MetadataLevel.ALL` and disable file validation.

    - #### DefaultMetadataOptions

          public DefaultMetadataOptions(MetadataLevel level)

      Construct a new `DefaultMetadataOptions`. Set the metadata level to the specified value and disable file validation.
      Parameters:
        `level` - the `MetadataLevel` to use.

  - ### Method Detail

    - #### getMetadataLevel

          public MetadataLevel getMetadataLevel()

      Description copied from interface: `MetadataOptions`
      Get the configured metadata level.
      Specified by:
        `getMetadataLevel` in interface `MetadataOptions`
      Returns:
        the configured `MetadataLevel`.

    - #### setMetadataLevel

          public void setMetadataLevel(MetadataLevel level)

      Description copied from interface: `MetadataOptions`
      Set the metadata level.
      Specified by:
        `setMetadataLevel` in interface `MetadataOptions`
      Parameters:
        `level` - a `MetadataLevel`.

    - #### isValidate

          public boolean isValidate()

      Description copied from interface: `MetadataOptions`
      Checks whether file validation has been set.
      Specified by:
        `isValidate` in interface `MetadataOptions`
      Returns:
        `true` if files are validated when read, `false` otherwise.

    - #### setValidate

          public void setValidate(boolean validateMetadata)

      Description copied from interface: `MetadataOptions`
      Specifies whether or not to validate files when reading.
      Specified by:
        `setValidate` in interface `MetadataOptions`
      Parameters:
        `validateMetadata` - `true` if files should be validated, `false` otherwise.

Copyright © 2026 Open Microscopy Environment